Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags.objects
Class XTag

    java.lang.Object
      com.ejie.r01f.taglibs.xtags.objects.XTag

public class XTag
extends java.lang.Object

Clase que encapsula un elemento xml y sus subelementos para la obtencion del xml a partir del HTML Lo que se tiene son jerarquias como la de los siguientes ejemplos: proyecto.interlocutor.nombre Seria. XTag (proyecto - Objeto) XTag (Interlocutor - Objeto) XTag (nombre - Propiedad) XTag (direccion - Propiedad) XTag (telefono - Propiedad) En el caso de una lista: proyecto.presupuestos.presupuesto.valor XTag (proyecto - Objeto) XTag (Presupuestos - Lista) XTag (Presupuesto - Objeto) XTag (Valor)

Author:
  ALEX

Field Summary
`java.lang.String` | `check`
`java.util.List` | `childXTags`
`boolean` | `isAttribute`
`boolean` | `isCDATA`
`XTag` | `parentXTag`
`java.lang.String` | `sourceTagID`
`int` | `sourceTagType`
`java.lang.String` | `xmlTagName`

Constructor Summary
`XTag()` Creates a new instance of XTag
`XTag(java.lang.String newXMLTagName, int newSourceTagType, java.lang.String newCheck)`
`XTag(java.lang.String newXMLTagName, java.lang.String newSourceTagID)`
`XTag(java.lang.String newXMLTagName, java.lang.String newSourceTagID, int newSourceTagType, java.lang.String newCheck)`
`XTag(java.lang.String newXMLTagName, java.lang.String newSourceTagID, int newSourceTagType, java.lang.String newCheck, boolean newIsAttribute, boolean newIsCDATA)`

Method Summary
`void` | `addChildXTag(java.lang.String theXMLTagName, java.lang.String theSourceTagId, int theSourceTagType, java.lang.String theCheck, boolean theIsAttribute, boolean theIsCDATA)` Aņade un nuevo elemento al tag actual
`void` | `addChildXTag(XTag childXTag)`
`java.lang.String` | `getJavaScript()` Funcion recursiva que obtiene el JavaScript necesario para componer el XML
`java.lang.String` | `getPath()` Obtiene el path del elemento en la jerarquia de objetos como por ejemplo: proyecto.interlocutor.nombre Seria.
`java.lang.String` | `toString()` Escribe la estructura en forma de cadena

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xmlTagName

    public java.lang.String xmlTagName

### sourceTagID

    public java.lang.String sourceTagID

### sourceTagType

    public int sourceTagType

### isAttribute

    public boolean isAttribute

### isCDATA

    public boolean isCDATA

### check

    public java.lang.String check

### parentXTag

    public XTag parentXTag

### childXTags

    public java.util.List childXTags

Constructor Detail

### XTag

    public XTag()

  Creates a new instance of XTag

### XTag

    public XTag(java.lang.String newXMLTagName,
                java.lang.String newSourceTagID)

### XTag

    public XTag(java.lang.String newXMLTagName,
                int newSourceTagType,
                java.lang.String newCheck)

### XTag

    public XTag(java.lang.String newXMLTagName,
                java.lang.String newSourceTagID,
                int newSourceTagType,
                java.lang.String newCheck)

### XTag

    public XTag(java.lang.String newXMLTagName,
                java.lang.String newSourceTagID,
                int newSourceTagType,
                java.lang.String newCheck,
                boolean newIsAttribute,
                boolean newIsCDATA)

Method Detail

### addChildXTag

    public void addChildXTag(java.lang.String theXMLTagName,
                             java.lang.String theSourceTagId,
                             int theSourceTagType,
                             java.lang.String theCheck,
                             boolean theIsAttribute,
                             boolean theIsCDATA)

  Aņade un nuevo elemento al tag actual

### addChildXTag

    public void addChildXTag(XTag childXTag)

### getJavaScript

    public java.lang.String getJavaScript()

  Funcion recursiva que obtiene el JavaScript necesario para componer el XML

### getPath

    public java.lang.String getPath()

  Obtiene el path del elemento en la jerarquia de objetos como por ejemplo: proyecto.interlocutor.nombre Seria. XTag (proyecto - Objeto) XTag (Interlocutor - Objeto) XTag (nombre - propiedad) XTag (direccion - propiedad) En el caso de una lista: proyecto.presupuestos.presupuesto.valor XTag (proyecto - Objeto) XTag (Presupuestos - Lista) XTag (Presupuesto - Objeto) XTag (Valor - propiedad)

### toString

    public java.lang.String toString()

  Escribe la estructura en forma de cadena

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD